Edit Users
Endpoint used to edit students in Toolzz LMS, in one or more schools of your institution.
Request Example
Section titled “Request Example”curl --request PUT \ --url 'https://kong.api.toolzz.com.br/api/users/{id}' \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "user": { "name": "<string>", "email": "<string>", "cpf": "<string>", "phone": "<string>", "birth_date": "<string>" } }'Response Example
Section titled “Response Example”{ "user": { "id": 1, "name": "<string>", "academic_register": "<string>", "cpf": "<string>", "rg": "<string>", "cnpj": "<string>", "phone": "<string>", "birth_date": "<string>", "email": "<string>", "address": { "cep": "<string>", "number": 1, "street": "<string>", "state": "<string>", "neighborhood": "<string>", "complement": "<string>", "schools_id": [] } }}Request description
Section titled “Request description”Access Token
Section titled “Access Token”| Parameter | Type | Description | Required |
|---|---|---|---|
Authorization | String | Access token (“Bearer” must be before the token) | Yes |
URL Parameters (Path)
Section titled “URL Parameters (Path)”| Parameter | Type | Description | Required |
|---|---|---|---|
id | string | Unique identifier of the user. | Yes |
Body Parameters — user object
Section titled “Body Parameters — user object”| Parameter | Type | Description | Required |
|---|---|---|---|
name | string | User name to be updated. | No |
academic_register | string | User’s academic registration number. | No |
cpf | string | User’s CPF. | No |
rg | string | User’s RG. | No |
email | string | User’s email address. | No |
cnpj | string | CNPJ of the company linked to the user. | No |
phone | string | User’s contact phone. | No |
birth_date | string | User’s date of birth. | No |
school_ids | number[] | List of identifiers of schools associated with the user. | No |
Body Parameters — address object (inside user)
Section titled “Body Parameters — address object (inside user)”| Parameter | Type | Description | Required |
|---|---|---|---|
cep | string | ZIP code of the address. | No |
number | int | Address number. | No |
street | string | Street name of the address. | No |
state | string | State of the address. | No |
complement | string | Address complement. | No |
neighborhood | string | Neighborhood of the address. | No |
Response description
Section titled “Response description”| Key | Type | Description |
|---|---|---|
user | object | Details of the user. |
user.id | number | Unique identifier of the user. |
user.name | string | Full name of the user. |
user.academic_register | string | Academic registration. |
user.cpf | string | CPF. |
user.rg | string | RG. |
user.cnpj | string | CNPJ. |
user.phone | string | User phone number. |
user.birth_date | string | Date of birth. |
user.email | string | User email address. |
user.address | object | User address details. |
user.address.cep | string | ZIP code. |
user.address.number | number | Residence or apartment number. |
user.address.street | string | Street name. |
user.address.state | string | State abbreviation. |
user.address.neighborhood | string | Neighborhood name. |
user.address.complement | string | Address complement (e.g., apartment, floor). |
user.address.schools_id | array | List of associated school IDs. |
Security
Section titled “Security”To access this endpoint, it is necessary to send a valid access token through the authorization header (Authorization) of the request. Additionally, the API is protected by other security measures to safeguard user data.